diff --git a/Languages/ISO639-2-LanguageCodes.rdf b/Languages/ISO639-2-LanguageCodes.rdf
index 2655b2a..844ab14 100644
--- a/Languages/ISO639-2-LanguageCodes.rdf
+++ b/Languages/ISO639-2-LanguageCodes.rdf
@@ -8004,8 +8004,8 @@
       <rdf:type rdf:resource="&lcc-lr;RemainderGroup"/>
       <skos:definition rdf:datatype="&xsd;string">Romance languages remainder group</skos:definition>
       <rdfs:label>Romance languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Romance languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">romanes, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Romance languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">romanes, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8014,8 +8014,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Language code for Romany</skos:definition>
       <rdfs:label>Romany</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Romany</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tsigane</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Romany</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">tsigane</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8023,8 +8023,8 @@
       <rdf:type rdf:resource="&lcc-lr;LanguageFamily"/>
       <skos:definition rdf:datatype="&xsd;string">Salishan languages family</skos:definition>
       <rdfs:label>Salishan languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Salishan languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">salishennes, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Salishan languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">salishennes, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8033,8 +8033,8 @@
       <rdf:type rdf:resource="&lcc-lr;IndividualLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Samaritan Aramaic language</skos:definition>
       <rdfs:label>Samaritan Aramaic</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Samaritan Aramaic</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">samaritain</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Samaritan Aramaic</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">samaritain</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8042,8 +8042,8 @@
       <rdf:type rdf:resource="&lcc-lr;RemainderGroup"/>
       <skos:definition rdf:datatype="&xsd;string">Sami languages remainder group</skos:definition>
       <rdfs:label>Sami languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Sami languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">sames, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Sami languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">sames, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8052,8 +8052,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Sandawe language</skos:definition>
       <rdfs:label>Sandawe</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Sandawe</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">sandawe</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Sandawe</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">sandawe</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8062,8 +8062,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Santali language</skos:definition>
       <rdfs:label>Santali</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Santali</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">santal</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Santali</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">santal</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8072,8 +8072,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Sasak language</skos:definition>
       <rdfs:label>Sasak</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Sasak</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">sasak</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Sasak</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">sasak</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8082,8 +8082,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Scots language</skos:definition>
       <rdfs:label>Scots</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Scots</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">écossais</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Scots</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">écossais</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8092,8 +8092,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Selkup language</skos:definition>
       <rdfs:label>Selkup</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Selkup</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">selkoupe</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Selkup</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">selkoupe</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8101,8 +8101,8 @@
       <rdf:type rdf:resource="&lcc-lr;RemainderGroup"/>
       <skos:definition rdf:datatype="&xsd;string">Semitic languages remainder group</skos:definition>
       <rdfs:label>Semitic languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Semitic languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">sémitiques, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Semitic languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">sémitiques, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8111,8 +8111,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Serer language</skos:definition>
       <rdfs:label>Serer</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Serer</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">sérère</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Serer</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">sérère</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8121,8 +8121,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Shan language</skos:definition>
       <rdfs:label>Shan</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Shan</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">chan</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Shan</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">chan</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8131,8 +8131,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Sicilian language</skos:definition>
       <rdfs:label>Sicilian</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Sicilian</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">sicilien</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Sicilian</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">sicilien</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8141,8 +8141,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Sidamo language</skos:definition>
       <rdfs:label>Sidamo</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Sidamo</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">sidamo</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Sidamo</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">sidamo</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8150,8 +8150,8 @@
       <rdf:type rdf:resource="&lcc-lr;LanguageFamily"/>
       <skos:definition rdf:datatype="&xsd;string">Sign languages family</skos:definition>
       <rdfs:label>Sign languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Sign languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">langues des signes</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Sign languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">langues des signes</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8160,8 +8160,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Siksika language</skos:definition>
       <rdfs:label>Siksika</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Siksika</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">blackfoot</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Siksika</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">blackfoot</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8169,8 +8169,8 @@
       <rdf:type rdf:resource="&lcc-lr;RemainderGroup"/>
       <skos:definition rdf:datatype="&xsd;string">Sino-Tibetan languages remainder group</skos:definition>
       <rdfs:label>Sino-Tibetan languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Sino-Tibetan languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">sino-tibétaines, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Sino-Tibetan languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">sino-tibétaines, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8178,8 +8178,8 @@
       <rdf:type rdf:resource="&lcc-lr;LanguageFamily"/>
       <skos:definition rdf:datatype="&xsd;string">Siouan languages family</skos:definition>
       <rdfs:label>Siouan languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Siouan languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">sioux, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Siouan languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">sioux, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8188,8 +8188,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Skolt Sami language</skos:definition>
       <rdfs:label>Skolt Sami</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Skolt Sami</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">sami skolt</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Skolt Sami</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">sami skolt</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8198,8 +8198,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Language code for Slave (Athapascan)</skos:definition>
       <rdfs:label>Slave - Athapascan</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Slave (Athapascan)</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">esclave (athapascan)</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Slave (Athapascan)</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">esclave (athapascan)</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8207,8 +8207,8 @@
       <rdf:type rdf:resource="&lcc-lr;RemainderGroup"/>
       <skos:definition rdf:datatype="&xsd;string">Slavic languages remainder group</skos:definition>
       <rdfs:label>Slavic languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Slavic languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">slaves, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Slavic languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">slaves, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8217,8 +8217,8 @@
       <rdf:type rdf:resource="&lcc-lr;IndividualLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Sogdian language</skos:definition>
       <rdfs:label>Sogdian</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Sogdian</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">sogdien</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Sogdian</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">sogdien</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8226,8 +8226,8 @@
       <rdf:type rdf:resource="&lcc-lr;LanguageFamily"/>
       <skos:definition rdf:datatype="&xsd;string">Songhai languages family</skos:definition>
       <rdfs:label>Songhai languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Songhai languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">songhai, autres langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Songhai languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">songhai, autres langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8236,8 +8236,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Soninke language</skos:definition>
       <rdfs:label>Soninke</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Soninke</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">soninké</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Soninke</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">soninké</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8245,8 +8245,8 @@
       <rdf:type rdf:resource="&lcc-lr;LanguageFamily"/>
       <skos:definition rdf:datatype="&xsd;string">Sorbian languages family</skos:definition>
       <rdfs:label>Sorbian languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Sorbian languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">sorabes, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Sorbian languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">sorabes, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8254,8 +8254,8 @@
       <rdf:type rdf:resource="&lcc-lr;RemainderGroup"/>
       <skos:definition rdf:datatype="&xsd;string">South American Indian languages remainder group</skos:definition>
       <rdfs:label>South American Indian languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">South American Indian languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">sud-amérindiennes, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">South American Indian languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">sud-amérindiennes, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8264,8 +8264,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Southern Altai language</skos:definition>
       <rdfs:label>Southern Altai</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Southern Altai</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">altai du Sud</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Southern Altai</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">altai du Sud</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8274,8 +8274,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Southern Sami language</skos:definition>
       <rdfs:label>Southern Sami</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Southern Sami</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">sami du Sud</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Southern Sami</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">sami du Sud</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8284,8 +8284,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Sranan Tongo language</skos:definition>
       <rdfs:label>Sranan Tongo</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Sranan Tongo</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">sranan tongo</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Sranan Tongo</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">sranan tongo</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8294,8 +8294,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Standard Moroccan Tamazight language</skos:definition>
       <rdfs:label>Standard Moroccan Tamazight</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Standard Moroccan Tamazight</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">amazighe standard marocain</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Standard Moroccan Tamazight</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">amazighe standard marocain</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8304,8 +8304,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Sukuma language</skos:definition>
       <rdfs:label>Sukuma</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Sukuma</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">sukuma</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Sukuma</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">sukuma</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8314,8 +8314,8 @@
       <rdf:type rdf:resource="&lcc-lr;IndividualLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Sumerian language</skos:definition>
       <rdfs:label>Sumerian</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Sumerian</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">sumérien</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Sumerian</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">sumérien</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8324,8 +8324,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Susu language</skos:definition>
       <rdfs:label>Susu</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Susu</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">soussou</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Susu</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">soussou</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8334,12 +8334,12 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Swiss German language</skos:definition>
       <rdfs:label>Swiss German</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Swiss German</lcc-lr:hasEnglishName>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Alemannic</lcc-lr:hasEnglishName>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Alsatian</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">suisse alémanique</lcc-lr:hasFrenchName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">alémanique</lcc-lr:hasFrenchName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">alsacien</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Swiss German</lcc-lr:hasEnglishName>
+      <lcc-lr:hasEnglishName xml:lang="en">Alemannic</lcc-lr:hasEnglishName>
+      <lcc-lr:hasEnglishName xml:lang="en">Alsatian</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">suisse alémanique</lcc-lr:hasFrenchName>
+      <lcc-lr:hasFrenchName xml:lang="fr">alémanique</lcc-lr:hasFrenchName>
+      <lcc-lr:hasFrenchName xml:lang="fr">alsacien</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8348,8 +8348,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Language code for Syriac</skos:definition>
       <rdfs:label>Syriac</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Syriac</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">syriaque</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Syriac</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">syriaque</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8357,8 +8357,8 @@
       <rdf:type rdf:resource="&lcc-lr;RemainderGroup"/>
       <skos:definition rdf:datatype="&xsd;string">Tai languages remainder group</skos:definition>
       <rdfs:label>Tai languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Tai languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tai, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Tai languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">tai, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8367,8 +8367,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Language code for Tamashek</skos:definition>
       <rdfs:label>Tamashek</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Tamashek</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tamacheq</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Tamashek</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">tamacheq</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8377,8 +8377,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Tereno language</skos:definition>
       <rdfs:label>Tereno</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Tereno</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tereno</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Tereno</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">tereno</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8387,8 +8387,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Tetum language</skos:definition>
       <rdfs:label>Tetum</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Tetum</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tetum</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Tetum</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">tetum</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8397,8 +8397,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Tigre language</skos:definition>
       <rdfs:label>Tigre</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Tigre</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tigré</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Tigre</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">tigré</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8407,8 +8407,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Timne language</skos:definition>
       <rdfs:label>Timne</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Timne</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">temne</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Timne</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">temne</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8417,8 +8417,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Tiv language</skos:definition>
       <rdfs:label>Tiv</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Tiv</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tiv</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Tiv</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">tiv</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8427,8 +8427,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Tlingit language</skos:definition>
       <rdfs:label>Tlingit</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Tlingit</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tlingit</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Tlingit</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">tlingit</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8437,8 +8437,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Tok Pisin language</skos:definition>
       <rdfs:label>Tok Pisin</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Tok Pisin</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tok pisin</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Tok Pisin</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">tok pisin</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8447,8 +8447,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Tokelau language</skos:definition>
       <rdfs:label>Tokelau</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Tokelau</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tokelau</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Tokelau</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">tokelau</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8457,8 +8457,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Tonga Nyasa language</skos:definition>
       <rdfs:label>Tonga Nyasa</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Tonga (Nyasa)</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tonga (Nyasa)</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Tonga (Nyasa)</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">tonga (Nyasa)</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8467,8 +8467,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Tsimshian language</skos:definition>
       <rdfs:label>Tsimshian</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Tsimshian</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tsimshian</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Tsimshian</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">tsimshian</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
